# The MEME Suite

## Motif-based sequence analysis tools

# Tomtom

## Motif Comparison Tool

### Usage:

`tomtom [options] <query motifs> <target motif database>+`

### Description

### Inputs

#### Query Motifs

A file containing one or more motifs in MEME format or the HTML (`.html`) or plain text (`.txt`) output of MEME or DREME. Each of these motifs will be searched against the target databases. If you only wish to search with a subset of these motifs then look into the -m and -mi options.

#### Target Motif Databases

File(s) containing MEME formatted motifs. Outputs from MEME and DREME are supported, as well as Minimal MEME Format. You can convert many other motif formats to MEME format using conversion scripts available with the MEME Suite.

### Output

Tomtom writes its output to files in a directory named `tomtom_out`, which it creates if necessary. (You can also cause the output to be written to a different directory; see -o and -oc, below.)

The main output file is named `tomtom.html` and can be viewed with a web browser. The `tomtom.html` file is created from the `tomtom.xml` file. An additional file, `tomtom.txt`, contains a simplified, text-only version of the output. (See `-text`, below, for the text output format.)

For each query-target match, two additional files containing LOGO alignments may also be written -- an encapsulated postscript file (`.eps`) if the -eps flag is specified and a portable network graphic file (`.png`) if the -png flag is specified. An install of ghostscript is required to create the png file.

Only matches for which the significance is less than or equal to the threshold set by the -thresh switch will be shown. By default, significance is measured by q-value of the match. The q-value is the estimated false discovery rate if the occurrence is accepted as significant. See Storey JD, Tibshirani R, "Statistical significance for genome-wide studies". Proc. Natl Acad. Sci. USA (2003) 100:9440–9445

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
Input
-bfile | background file | Load the background frequencies from the file named background file. | Background frequencies will be loaded from the query motifs. Note this was changed from previous versions that used the first target motif database because that design choice could not work with the -xalph option.
-m | id | The name of a motif in the query file that will be used. This option may be repeated multiple times. | If both this option and the related -mi is unused then all motifs in the query file will be used.
-mi | index | The offset in the query file of a motif that will be used. This option may be repeated multple times. | If both this option and the related -m is unused then all motifs in the query file will be used.

-motif-pseudo

count

This option adds the specified pseudocount to the motifs. The pseudocount is distributed taking into account the background. Note that some comparison algorithms require motif probabilities to not contain zeros. If you choose to set a pseudocount of zero with those comparison algorithms then any motifs containing a probability of zero will be discarded and a warning will be emitted.

A pseudocount of 0.1 is added to the motifs.

-xalph |  | Convert the alphabet of the target motif databases to the alphabet of the first query motif database assuming the core symbols of the target motif alphabet are a subset. | The alphabet of the target motifs must exactly match the alphabet of the query motifs.
Output
-png |  | Output motif logo alignment images in portable network graphics (png) format. This format is useful for display on websites. | Images are not output in png format.
-eps |  | Output motif logo alignment images in Encapsulated Postscript (eps) format. This format is useful for inclusion in publications as it is a vector graphics format and can be easily scaled. | Images are not output in eps format.

-text

This option causes Tomtom to print just a tab-delimited text file to standard output. The output begins with a header, indicated by leading "#" characters. This is followed by a single title line, and then the actual values. The columns are

Column | Contents
--- | ---
1 | Query motif name
2 | Target motif name
3 | Optimal offset: the offset between the query and the target motif
4 | p-value
5 | E-value
6 | q-value
7 | Overlap: the number of positions of overlap between the two motifs.
8 | Query consensus sequence.
9 | Target consensus sequence.
10 | Orientation: Orientation of target motif with respect to query motif.

The program runs as normal.

-no-ssc

This option causes the LOGOs in the LOGO alignments output by Tomtom not to be corrected for small-sample sizes. By default, the height of letters in the LOGOs are reduced when the number of samples on which a motif is based (`nsites` in the MEME motif) is small. The default setting can cause motifs based on very few sites to have "empty" LOGOs, so this switch can be used if your query or target motifs are based on few samples.

Small sample correction is used.

Scoring
-incomplete-scores |  | Compute scores using only aligned columns. | Take into account columns that don't align.
-thresh | value | Only report matches with significance values ≤ value. Unless the `-evalue` option is specifed then this value must be smaller than or equal to 1. | A threshold of 0.5 is used.
-evalue |  | Use the E-value of the match as the significance threshold | Use the q-value as the significance threshold

-dist

allr|​ed|​kullback|​pearson|​sandelin

Code | Name | Restrictions
--- | --- | ---
allr | Average log-likelihood ratio | Non-zero probabilities
ed | Euclidian distance |
kullback | Kullback-Leibler divergence |
pearson | Pearson correlation coefficient |
sandelin | Sandelin-Wasserman function |
blic1 | Bayesian Likelihood 2-Components (1 Dirichlet) | DNA only
blic5 | Bayesian Likelihood 2-Components (5 Dirichlet) | DNA only
llr1 | Log likelihood ratio (1 Dirichlet) | DNA only
llr5 | Log likelihood ratio (5 Dirichlet) | DNA only

Detailed descriptions of these functions can be found in the published description of Tomtom.

Pearson correlation coefficient is used by default.

-internal |  | This parameter forces the shorter motif to be completely contained in the longer motif. | The shorter motif may extend outside the longer motif.
-min-overlap | min overlap | Only report motif matches that overlap by min overlap positions or more. In case a query motif is smaller than min overlap, then the motif's width is used as the minimum overlap for that query. | A minimum overlap of 1 is required.
Miscellaneous
-version |  | Display the version and exit. | Run as normal.

### Citing

If you use TOMTOM in your research, please cite the following paper:
Shobhit Gupta, JA Stamatoyannopolous, Timothy Bailey and William Stafford Noble, "Quantifying similarity between motifs", Genome Biology, 8(2):R24, 2007. [full text]